## org.apache.myfaces.custom.updateactionlistener
Class UpdateActionListener

    java.lang.Object
      org.apache.myfaces.custom.updateactionlistener.UpdateActionListener

All Implemented Interfaces:
  javax.faces.event.ActionListener, java.util.EventListener, javax.faces.event.FacesListener, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

public class UpdateActionListener
extends java.lang.Object
implements javax.faces.event.ActionListener, javax.faces.component.ValueHolder, javax.faces.component.StateHolder

Version:
  $Revision: 169651 $ $Date: 2005-05-11 12:14:23 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Constructor Summary
`UpdateActionListener()`

Method Summary
`javax.faces.convert.Converter` `getConverter()`
`java.lang.Object` `getLocalValue()`
`javax.faces.el.ValueBinding` `getPropertyBinding()`
`java.lang.Object` `getValue()`
`javax.faces.el.ValueBinding` `getValueBinding()`
`boolean` `isTransient()`
`void` `processAction(javax.faces.event.ActionEvent actionEvent)`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setConverter(javax.faces.convert.Converter converter)`
`void` `setPropertyBinding(javax.faces.el.ValueBinding propertyBinding)`
`void` `setTransient(boolean newTransientValue)`
`void` `setValue(java.lang.Object value)`
`void` `setValueBinding(javax.faces.el.ValueBinding valueBinding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateActionListener

    public UpdateActionListener()

Method Detail

### setPropertyBinding

    public void setPropertyBinding(javax.faces.el.ValueBinding propertyBinding)

### getPropertyBinding

    public javax.faces.el.ValueBinding getPropertyBinding()

### setValue

    public void setValue(java.lang.Object value)

  Specified by:
    `setValue` in interface `javax.faces.component.ValueHolder`

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `javax.faces.component.ValueHolder`

### getLocalValue

    public java.lang.Object getLocalValue()

  Specified by:
    `getLocalValue` in interface `javax.faces.component.ValueHolder`

### getValueBinding

    public javax.faces.el.ValueBinding getValueBinding()

### setValueBinding

    public void setValueBinding(javax.faces.el.ValueBinding valueBinding)

### getConverter

    public javax.faces.convert.Converter getConverter()

  Specified by:
    `getConverter` in interface `javax.faces.component.ValueHolder`

### setConverter

    public void setConverter(javax.faces.convert.Converter converter)

  Specified by:
    `setConverter` in interface `javax.faces.component.ValueHolder`

### processAction

    public void processAction(javax.faces.event.ActionEvent actionEvent)
                       throws javax.faces.event.AbortProcessingException

  Specified by:
    `processAction` in interface `javax.faces.event.ActionListener`
  Throws:
    `javax.faces.event.AbortProcessingException`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean newTransientValue)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`